Packages - Bug #3015

[notes-up] error while loading shared libraries: libgranite.s0.6: cannot open

2021-04-20 07:46 PM - maddox

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

$ com.github.philip-scott.notes—up
com.github.philip-scott.notes-up: error while loading shared libraries:
en shared object file: No such file or directory

libgranite.so.6:

cannot op

History

#1 - 2021-04-20 10:01 PM - bill-auger

- Description updated

did you run “pacman -Syu" before installing this package?

#2 - 2021-04-21 02:58 AM - maddox

Each time, before installing my system verifies if there are new
package lists online. Any dependencies are automatically downloaded. |
have installed granite separately and package works, just that it did

not install it automatically.

#3 - 2021-04-21 01:50 PM - bill-auger

- Status changed from unconfirmed to not-a-bug

if you are referring to octopi, you should notice that the indicator icon is still red - it turns green when the system is fully up-to-date

#4 - 2021-04-21 01:58 PM - maddox

| did not refer to octopi. | did not use it.

#5 - 2021-04-21 02:19 PM - bill-auger

Each time, before installing my system verifies if there are new
package lists online

octopi is the only parabola program which checks for updates automatically

Any dependencies are automatically downloaded.

if you already had the dependency installed, it would not be upgraded automatically - thats why it is important to run “pacman -Syu" before installing

packages, or to have octopi do it

#6 - 2021-04-21 09:03 PM - maddox

labs@parabola.nu <labs@parabola.nu> [2021-04-21 17:19]:

Issue #3015 has been updated by bill-auger.

Each time, before installing my system verifies if there are new

package lists online

octopi is the only parabola program which checks for updates
automatically
| am using M-x helm-system-packages and it installs packages with:

$ sudo pacman --sync --refresh --needed pgadmin4

#7 - 2021-04-21 09:53 PM - bill-auger

On Wed, 21 Apr 2021 21:04:01 +0000 labs@parabola.nu wrote:
$ sudo pacman --sync --refresh --needed pgadmin4

you would need to add the --sysupgrade options to make sure it

always upgrades packages, which are already installed - that

would prevent the situation of this BR

you most likely do not need the --needed option - all it would

do for that example, would be to avoid re-installing 'pgadmin4’,

if it were already installed - but if 'pgadmin4' were already

installed, there would be no reason to specify it - it would

reduce to:

$ sudo pacman --sync --refresh --sysupgrade

with the short options,that is exactly:

$ sudo pacman -Syu

if 'pgadmin4’ were not already installed, it would reduce to:

$ sudo pacman -Syu pgadmin4
